<div class="container-info-data">

    <h1>ADD NEW PRODUCT TO YOUR LIST</h1>

    <h3>{{ result }}</h3>
    <br><br>

    <form [formGroup]="infoData">
        <div class="container">
            <table clas="table-container" cellspacing="0">
                <tr>
                    <td class="column-medium">
                        <mat-form-field class="input-container">
                            <input matInput type="text" formControlName="listname" placeholder="Insert list name" required>
                        </mat-form-field>
                    </td>
                    <td class="column-short">
                        <mat-form-field class="input-container">
                            <input matInput type="number" readonly="true" formControlName="totprice" placeholder="Total price [€]">
                        </mat-form-field>
                    </td>
                </tr>
            </table>

            <br><br>
            <mat-divider></mat-divider>
            <br><br>

            <table clas="table-container" cellspacing="0">
                <tr>
                    <td class="column-medium">
                        <mat-form-field class="input-container">
                            <input type="text" formControlName="name" aria-label="text" matInput [formControl]="myControl" [matAutocomplete]="auto" placeholder="Insert product to add" required>
                            <mat-autocomplete #auto="matAutocomplete">
                                <mat-option *ngFor="let optionProduct of filteredOptionsProduct | async" [value]="optionProduct.name" (click)="setValueProduct(optionProduct)">
                                    {{optionProduct.name}}
                                </mat-option>
                            </mat-autocomplete>
                        </mat-form-field>
                    </td>
                    <td class="column-short">
                        <mat-form-field class="input-container">
                            <input matInput type="number" min="1" formControlName="quantity" readonly="{{isReadOnly}}" (ngModelChange)="setQuantity($event)" placeholder="Insert quantity" required>
                        </mat-form-field>
                    </td>
                </tr>
            </table>

            <table clas="table-container" cellspacing="0">
                <tr>
                    <td class="column-medium">
                        <mat-form-field class="input-container">
                            <input matInput [matDatepicker]="pickerTwo" formControlName="expiration_order" placeholder="Expiration date list">
                            <mat-datepicker-toggle matSuffix [for]="pickerTwo"></mat-datepicker-toggle>
                            <mat-datepicker #pickerTwo></mat-datepicker>
                        </mat-form-field>
                    </td>
                    <td class="column-short">
                        <mat-form-field class="input-container">
                            <input matInput type="number" readonly="true" formControlName="price" placeholder="Price [€]">
                        </mat-form-field>
                    </td>
                </tr>
            </table>


            <mat-checkbox class="position-check-completed" formControlName="completed">Completed</mat-checkbox>


            <div class="btn-container">
                <button mat-raised-button color="primary" (click)="sendData()">Add
                    product</button>
                <button mat-raised-button color="warn" (click)="clearForm()">Clear form</button>
            </div>


        </div>
    </form>
</div>